
Figure - Bug #117311
测试 Test-ST # 114575 (New): V5.0功能测试票

测试 Test-ST # 114579 (New): GameMode

【AF】【EVT】【游戏模式】游戏-妄想山海无法打开，会一直卡在动画加载页面
2023-04-03 17:07 - CD TEST-方永红

Status: CLOSED Start date: 2023-04-03

Priority: Normal Due date:

Assignee: CD TEST-方永红 % Done: 0%

Category: AUDIO-FW Estimated time: 0.00 hour

Target version:

Need_Info: -- Found Version: FlatBuild_HH_MCE_FSE.M.D.user.01.00.C102(X102).202304010020

Resolution: INVALID Degrated: --

Severity: Normal Verified Version:

Reproducibility: Every time Fixed Version:

Test Type: ST Root cause:

Description

【前提条件】

1、设备已开机

【测试步骤】

1、使用应用宝下载<妄想山海>

2、打开该游戏

【预期结果】

2、游戏成功打开

【实际结果】

2、会一直卡在动画加载页面

History

#1 - 2023-04-12 13:57 - CD FW 曹覃刚

- Status changed from New to ASSIGNED

■ 当前的状态

----------------------

04-08 21:03:20.667   975  5606 I ActivityTaskManager: START u0 {act=android.intent.action.MAIN cat=[android.intent.category.LAUNCHER] flg=0x10200000

cmp=com.tencent.tmgp.djsy/net.pixelgame.sandbox.MainActivity bnds=[664,376][940,636]} from uid 10077

04-08 21:03:21.028  7377  7377 E Sandbox : onCreate

04-08 21:03:21.037  7377  7377 E onCreate: refresh rate:60.000004

04-08 21:03:21.037  7377  7377 E onCreate: refresh rate:45.0

04-08 21:03:21.037  7377  7377 E onCreate: refresh rate:30.000002

04-08 21:03:21.037  7377  7377 E onCreate: the display mode id is 1, the highest available is 60.000004

04-08 21:03:21.169  7377  7409 E assetManager: open error:op.dpk

04-08 21:03:21.226  7377  7409 E assetManager: open error:asset.dpk

04-08 21:03:21.226  7377  7409 E assetManager: open error:role.dpk

04-08 21:03:21.226  7377  7409 E assetManager: open error:roleTexture.dpk

04-08 21:03:21.231  7377  7409 E assetManager: open error:shaderiOS.dpk

04-08 21:03:21.231  7377  7409 E assetManager: open error:i18n.dpk
04-08 21:03:21.361  7377  7423 E Sandbox : [ECHO]*-*-* ECHO Initialising

04-08 21:03:21.361  7377  7423 E Sandbox : [ECHO]*-*-* Version 1.0.72 (Echo_SH_Release)

04-08 21:03:21.369  7377  7423 E Sandbox : [ECHO]CPU Identifier & Features

04-08 21:03:21.369  7377  7423 E Sandbox : [ECHO]-------------------------

04-08 21:03:21.393  7377  7423 E Sandbox : [ECHO] *   CPU ID: ARM64

04-08 21:03:21.394  7377  7423 E Sandbox : [ECHO] *          VFP: yes

04-08 21:03:21.394  7377  7423 E Sandbox : [ECHO] *         NEON: yes

04-08 21:03:21.394  7377  7423 E Sandbox : [ECHO]-------------------------

04-08 21:03:21.396  7377  7423 E Sandbox : [ECHO]DDS codec registering

04-08 21:03:21.398  7377  7423 E Sandbox : [ECHO]-info-    ForceGx: 0   ForceRcST: 0   RenderAPI: 3   UseRC: 1   UseMode: 3   TexType: 1   UseIOCP: 1   UseNetIO: 1  

SoundIOCP:1

04-08 21:03:21.435  7377  7423 E Sandbox : [ECHO][CPU] : qcom

04-08 21:03:21.435  7377  7423 E Sandbox : [ECHO][Model] : 

04-08 21:03:21.436  7377  7423 E Sandbox : [ECHO][Vendor] : Qualcomm

04-08 21:03:21.436  7377  7423 E Sandbox : [ECHO][Renderer] : Adreno (TM) 650

04-08 21:03:21.436  7377  7423 E Sandbox : [ECHO][map cpu] : qcom

04-08 21:03:21.436  7377  7423 E Sandbox : [ECHO][map vendor] : Qualcomm

04-08 21:03:21.459  7377  7423 E Sandbox : [ECHO]Memory Use Limit Value:100MB; CPU Use Limit Value:50.00    Scene Channel:8     Client Channel:24

04-08 21:03:21.459  7377  7423 E Sandbox : [ECHO][TOD]    SvrTime:166223001, Speed:1.000000, TotalTime:75801.000000, RealTotalTime:75801.000000,

curTime:0.877326, MoonPhase:3

04-08 21:03:21.460  7377  7423 E Sandbox : [ECHO][TOD]    SvrTime:166223001, Speed:200.000000, TotalTime:40200.000000, RealTotalTime:40200.000000,

curTime:0.465278, MoonPhase:5

04-08 21:03:21.497  7377  7423 E assetManager: open error:i18n.dpk

04-08 21:03:21.932  7377  7409 E Sandbox : [ECHO]RC: chooseConfig: 11

----------------------

启动后发现该游戏进程出现上面的错误日志

但是从联想平板上抓取正常启动的日志，有同样的错误日志

■ 下一步解析计划

需要进一步分析

#2 - 2023-04-14 14:51 - CD FW 曹覃刚

- Assignee changed from CD FW 曹覃刚 to CD FW王武军

#3 - 2023-04-18 17:01 - CD FW王武军

【】当前状态

1）确认问题现象，用板子直接可以复现问题；

2）对比联想的设备、pixel设备，它们都可以正常启动游戏；

3）日志分析

从启动游戏到游戏进程被杀除的日志信息：

04-01 03:58:09.341  1485 10725 I ActivityTaskManager: START u0 {act=android.intent.action.MAIN cat=[android.intent.category.LAUNCHER]

flg=0x10200000 cmp=com.tencent.tmgp.djsy/net.pixelgame.sandbox.MainActivity bnds=[726,388][1026,680]} from uid 10074

04-01 03:58:09.359   675   675 D Zygote  : Forked child process 14108

04-01 03:58:09.360  1485  1654 I am_proc_start:

[0,14108,10099,com.tencent.tmgp.djsy,pre-top-activity,{com.tencent.tmgp.djsy/net.pixelgame.sandbox.MainActivity}]

04-01 03:58:09.360  1485  1654 I ActivityManager: Start proc 14108:com.tencent.tmgp.djsy/u0a99 for pre-top-activity

{com.tencent.tmgp.djsy/net.pixelgame.sandbox.MainActivity}

04-01 03:58:09.362 14108 14108 I libc    : SetHeapTaggingLevel: tag level set to 0

04-01 03:58:09.366 14108 14108 E ncent.tmgp.djs: Not starting debugger since process cannot load the jdwp agent.
04-01 03:58:09.367 14108 14108 D ProcessState: Binder ioctl to enable oneway spam detection failed: Invalid argument

01-01 13:18:45.275     0     0 I binder  : 14108:14108 ioctl 40046210 7ff3f5c0b4 returned-22

04-01 03:58:09.369  1485  3738 I am_proc_bound: [0,14108,com.tencent.tmgp.djsy]

04-01 03:58:09.373 14108 14108 D CompatibilityChangeReporter: Compat change id reported: 171979766; UID 10099; state: DISABLED

04-01 03:58:09.374 14108 14108 D ApplicationLoaders: Returning zygote-cached class loader: /system/framework/android.test.base.jar

04-01 03:58:09.381 14108 14108 I Perf    : Connecting to perf service.

04-01 03:58:09.383 14108 14108 V GraphicsEnvironment: ANGLE Developer option for 'com.tencent.tmgp.djsy' set to: 'default'

04-01 03:58:09.383 14108 14108 V GraphicsEnvironment: ANGLE GameManagerService for com.tencent.tmgp.djsy: false

04-01 03:58:09.383 14108 14108 V GraphicsEnvironment: Updatable production driver is not supported on the device.

04-01 03:58:09.384 14108 14108 D NetworkSecurityConfig: Using Network Security Config from resource network_security_config debugBuild: false

04-01 03:58:09.384 14108 14108 D NetworkSecurityConfig: Using Network Security Config from resource network_security_config debugBuild: false

04-01 03:58:09.383 14108 14108 I auditd  : type=1400 audit(0.0:11973): avc: denied { read } for comm="ncent.tmgp.djsy" name="tcp" dev="proc" ino=4026532265

scontext=u:r:untrusted_app_27:s0:c99,c256,c512,c768 tcontext=u:object_r:proc_net_tcp_udp:s0 tclass=file permissive=0 app=com.tencent.tmgp.djsy

04-01 03:58:09.383 14108 14108 W ncent.tmgp.djsy: type=1400 audit(0.0:11973): avc: denied { read } for name="tcp" dev="proc" ino=4026532265

scontext=u:r:untrusted_app_27:s0:c99,c256,c512,c768 tcontext=u:object_r:proc_net_tcp_udp:s0 tclass=file permissive=0 app=com.tencent.tmgp.djsy

04-01 03:58:09.383 14108 14108 I auditd  : type=1400 audit(0.0:11974): avc: denied { read } for comm="ncent.tmgp.djsy" name="tcp6" dev="proc"

ino=4026533096 scontext=u:r:untrusted_app_27:s0:c99,c256,c512,c768 tcontext=u:object_r:proc_net_tcp_udp:s0 tclass=file permissive=0

app=com.tencent.tmgp.djsy

04-01 03:58:09.383 14108 14108 W ncent.tmgp.djsy: type=1400 audit(0.0:11974): avc: denied { read } for name="tcp6" dev="proc" ino=4026533096

scontext=u:r:untrusted_app_27:s0:c99,c256,c512,c768 tcontext=u:object_r:proc_net_tcp_udp:s0 tclass=file permissive=0 app=com.tencent.tmgp.djsy

04-01 03:58:09.383 14108 14108 I auditd  : type=1400 audit(0.0:11975): avc: denied { read } for comm="ncent.tmgp.djsy" name="tcp" dev="proc" ino=4026532265

scontext=u:r:untrusted_app_27:s0:c99,c256,c512,c768 tcontext=u:object_r:proc_net_tcp_udp:s0 tclass=file permissive=0 app=com.tencent.tmgp.djsy

04-01 03:58:09.383 14108 14108 W ncent.tmgp.djsy: type=1400 audit(0.0:11975): avc: denied { read } for name="tcp" dev="proc" ino=4026532265

scontext=u:r:untrusted_app_27:s0:c99,c256,c512,c768 tcontext=u:object_r:proc_net_tcp_udp:s0 tclass=file permissive=0 app=com.tencent.tmgp.djsy

04-01 03:58:09.383 14108 14108 I auditd  : type=1400 audit(0.0:11976): avc: denied { read } for comm="ncent.tmgp.djsy" name="tcp6" dev="proc"

ino=4026533096 scontext=u:r:untrusted_app_27:s0:c99,c256,c512,c768 tcontext=u:object_r:proc_net_tcp_udp:s0 tclass=file permissive=0

app=com.tencent.tmgp.djsy

04-01 03:58:09.383 14108 14108 W ncent.tmgp.djsy: type=1400 audit(0.0:11976): avc: denied { read } for name="tcp6" dev="proc" ino=4026533096

scontext=u:r:untrusted_app_27:s0:c99,c256,c512,c768 tcontext=u:object_r:proc_net_tcp_udp:s0 tclass=file permissive=0 app=com.tencent.tmgp.djsy

04-01 03:58:09.395 14108 14108 I MultiDex: VM with version 2.1.0 has multidex support

04-01 03:58:09.395 14108 14108 I MultiDex: Installing application

04-01 03:58:09.395 14108 14108 I MultiDex: VM has multidex support, MultiDex support library is disabled.

04-01 03:58:09.423 14108 14130 D ActivityThread: Loading provider com.tencent.tmgp.djsy.XG_SETTINGS_PROVIDER:

com.tencent.tpns.baseapi.base.SettingsContentProvider

04-01 03:58:09.460 14108 14108 I TPush   : [PushServiceManager] startService abolish, registerPush never called by user

04-01 03:58:09.461 14108 14108 D MSDKPolicy: Using MSDKPolicyMultidexApplication

04-01 03:58:09.462 14108 14108 D MSDKPolicy: isPolicyAllowed: false  policyContentVersionInManifest: 1 policyContentVersionInPreference: 1

needPopupPolicy: false

04-01 03:58:09.467 14108 14108 I GCloudCore: GetNativePluginManager nativePluginManager:0

04-01 03:58:09.480 14108 14108 E Sandbox : onCreate

04-01 03:58:09.485 14108 14108 E onCreate: refresh rate:60.000004

04-01 03:58:09.485 14108 14108 E onCreate: refresh rate:45.0

04-01 03:58:09.485 14108 14108 E onCreate: refresh rate:30.000002

04-01 03:58:09.485 14108 14108 E onCreate: the display mode id is 1, the highest available is 60.000004

04-01 03:58:10.201  1485 16789 W AudioIDCMicroNegotiator: idcm_warn: timeout for obtainFocusState: RequestInfosToIDCM{mPid=14108, mUid=10099}

04-01 03:58:10.202  2349  3695 D Avrcp_ext: AudioManager Player: AudioPlaybackConfiguration piid:1711 deviceId:3 type:android.media.MediaPlayer

u/pid:10099/14108 state:idle attr:AudioAttributes: usage=USAGE_UNKNOWN content=CONTENT_TYPE_UNKNOWN flags=0x800 tags= bundle=null

sessionId:0

04-01 03:58:10.203  2349  3695 D Avrcp_ext: AudioManager Player: AudioPlaybackConfiguration piid:1711 deviceId:3 type:android.media.MediaPlayer

u/pid:10099/14108 state:stopped attr:AudioAttributes: usage=USAGE_UNKNOWN content=CONTENT_TYPE_UNKNOWN flags=0x800 tags= bundle=null

sessionId:0

04-01 03:58:11.393 14108 14119 W System  : A resource failed to call release. 

04-01 03:58:12.585 14108 14153 I DpmTcmClient: RegisterTcmMonitor from: $Proxy2
04-01 03:58:12.969 14108 14153 W Settings: Setting adb_enabled has moved from android.provider.Settings.Secure to android.provider.Settings.Global.

04-01 03:59:28.673  1485  1651 I am_pss  : [14108,10099,com.tencent.tmgp.djsy,268998656,256352256,64512,377458688,0,2,18]

04-01 03:59:46.651  1485  1651 I am_pss  : [14108,10099,com.tencent.tmgp.djsy,269248512,256450560,67584,377618432,0,2,17]

04-01 04:06:57.945  1485  1651 I am_pss  : [14108,10099,com.tencent.tmgp.djsy,276340736,266969088,73728,379895808,0,2,18]

04-01 04:09:26.907 14108 14108 I view_enqueue_input_event: [Motion - Cancel,com.tencent.tmgp.djsy/net.pixelgame.sandbox.MainActivity]

04-01 04:09:27.651 14108 14108 I wm_on_top_resumed_lost_called: [43934146,net.pixelgame.sandbox.MainActivity,topStateChangedWhenResumed]

04-01 04:09:27.671 14108 14108 I GCloudCore: [2023-04-01 04:09:27 671] | Info | [GCloudCore] |14108| Application.cpp:111|OnPause| CApplication::OnPause

Observersize:0

04-01 04:09:27.672 14108 14108 I wm_on_paused_called: [43934146,net.pixelgame.sandbox.MainActivity,performPause]

04-01 04:09:27.708 14108 14108 I wm_on_stop_called: [43934146,net.pixelgame.sandbox.MainActivity,STOP_ACTIVITY_ITEM]

04-01 04:09:28.783 14108 14108 W GCloudCore: [2023-04-01 04:09:28 783] | Warning | [GCloudCore] |14108| :0|| [NetworkChangeHelper]has not

RegistNetworkCallback

04-01 04:09:28.784 14108 14108 I wm_on_destroy_called: [43934146,net.pixelgame.sandbox.MainActivity,performDestroy]

04-01 04:09:28.784 14108 14108 E GameView: ---- onDetachedFromWindow -----

04-01 04:09:28.798 14108 14108 I Process : Sending signal. PID: 14108 SIG: 9

04-01 04:09:28.804  1485  1620 I ActivityManager: Killing 14108:com.tencent.tmgp.djsy/u0a99 (adj 905): remove task

04-01 04:09:28.804  1485  1620 I am_kill : [0,14108,com.tencent.tmgp.djsy,905,remove task]

04-01 04:09:28.865  1485  1655 I libprocessgroup: Successfully killed process cgroup uid 10099 pid 14108 in 0ms

04-01 04:09:28.920  1485  2776 I am_proc_died: [0,14108,com.tencent.tmgp.djsy,905,19]

04-01 04:09:28.923   675   675 I Zygote  : Process 14108 exited due to signal 9 (Killed)

04-01 04:09:28.934  1485  1620 W ActivityManager: setHasOverlayUi called on unknown pid: 14108

04-01 04:09:28.952   962  2314 W AudioFlinger: session id 1793 not found for pid 14108

从测试提供的日志分析发现在启动游戏时，游戏界面卡在一个视屏播放的效果中，这个时候游戏的进程会被杀除，

但是从日志的流程中非发现游戏本身的奔溃信息，但是在日志发生了一些与audio相关的日志信息，它们可能存在异常：

1）异常点1

存在SELinux权限的一些信息，是关于audio的

04-01 03:58:09.383 14108 14108 I auditd  : type=1400 audit(0.0:11973): avc: denied { read } for comm="ncent.tmgp.djsy" name="tcp" dev="proc" ino=4026532265

scontext=u:r:untrusted_app_27:s0:c99,c256,c512,c768 tcontext=u:object_r:proc_net_tcp_udp:s0 tclass=file permissive=0 app=com.tencent.tmgp.djsy

04-01 03:58:09.383 14108 14108 W ncent.tmgp.djsy: type=1400 audit(0.0:11973): avc: denied { read } for name="tcp" dev="proc" ino=4026532265

scontext=u:r:untrusted_app_27:s0:c99,c256,c512,c768 tcontext=u:object_r:proc_net_tcp_udp:s0 tclass=file permissive=0 app=com.tencent.tmgp.djsy

04-01 03:58:09.383 14108 14108 I auditd  : type=1400 audit(0.0:11974): avc: denied { read } for comm="ncent.tmgp.djsy" name="tcp6" dev="proc"

ino=4026533096 scontext=u:r:untrusted_app_27:s0:c99,c256,c512,c768 tcontext=u:object_r:proc_net_tcp_udp:s0 tclass=file permissive=0

app=com.tencent.tmgp.djsy

04-01 03:58:09.383 14108 14108 W ncent.tmgp.djsy: type=1400 audit(0.0:11974): avc: denied { read } for name="tcp6" dev="proc" ino=4026533096

scontext=u:r:untrusted_app_27:s0:c99,c256,c512,c768 tcontext=u:object_r:proc_net_tcp_udp:s0 tclass=file permissive=0 app=com.tencent.tmgp.djsy

04-01 03:58:09.383 14108 14108 I auditd  : type=1400 audit(0.0:11975): avc: denied { read } for comm="ncent.tmgp.djsy" name="tcp" dev="proc" ino=4026532265

scontext=u:r:untrusted_app_27:s0:c99,c256,c512,c768 tcontext=u:object_r:proc_net_tcp_udp:s0 tclass=file permissive=0 app=com.tencent.tmgp.djsy

04-01 03:58:09.383 14108 14108 W ncent.tmgp.djsy: type=1400 audit(0.0:11975): avc: denied { read } for name="tcp" dev="proc" ino=4026532265

scontext=u:r:untrusted_app_27:s0:c99,c256,c512,c768 tcontext=u:object_r:proc_net_tcp_udp:s0 tclass=file permissive=0 app=com.tencent.tmgp.djsy

04-01 03:58:09.383 14108 14108 I auditd  : type=1400 audit(0.0:11976): avc: denied { read } for comm="ncent.tmgp.djsy" name="tcp6" dev="proc"

ino=4026533096 scontext=u:r:untrusted_app_27:s0:c99,c256,c512,c768 tcontext=u:object_r:proc_net_tcp_udp:s0 tclass=file permissive=0

app=com.tencent.tmgp.djsy

04-01 03:58:09.383 14108 14108 W ncent.tmgp.djsy: type=1400 audit(0.0:11976): avc: denied { read } for name="tcp6" dev="proc" ino=4026533096

scontext=u:r:untrusted_app_27:s0:c99,c256,c512,c768 tcontext=u:object_r:proc_net_tcp_udp:s0 tclass=file permissive=0 app=com.tencent.tmgp.djsy

2）异常点2

存在一些超时的信息，界面卡主，当时游戏界面应该是在播放一个视屏，然后就一直卡在这个视屏里了

04-01 03:58:10.201  1485 16789 W AudioIDCMicroNegotiator: idcm_warn: timeout for obtainFocusState: RequestInfosToIDCM{mPid=14108, mUid=10099}

04-01 03:58:10.201  1485  2315 D MediaFocusControl: audio_idcm: updateCurrentAudioFocus: mFocusStack is null, return
04-01 03:58:10.202  1485 16789 W AudioService.PlaybackActivityMonitor: idcm_warn: ====rejected by IDCM: PLAYER_STATE_STARTED

04-01 03:58:10.202  1194  4165 D NuPlayerDriver: stop(0xeacc15f0)

04-01 03:58:10.202  2349  3695 D Avrcp_ext: AudioManager Player: AudioPlaybackConfiguration piid:103 deviceId:0 type:android.media.SoundPool

u/pid:10078/2367 state:idle attr:AudioAttributes: usage=USAGE_ASSISTANCE_SONIFICATION content=CONTENT_TYPE_SONIFICATION flags=0x800

tags= bundle=null sessionId:0

04-01 03:58:10.202  2349  3695 D Avrcp_ext: AudioManager Player: AudioPlaybackConfiguration piid:1711 deviceId:3 type:android.media.MediaPlayer

u/pid:10099/14108 state:idle attr:AudioAttributes: usage=USAGE_UNKNOWN content=CONTENT_TYPE_UNKNOWN flags=0x800 tags= bundle=null

sessionId:0

4）其他分析

从trace上大致看了一下，游戏启动的流程，流程都是正常的，从create、resume都是正常的，绘制消息的处理也是正常的。

从这个角度来看，可能是游戏内部在执行启动界面的视屏或者资源相关的多媒体信息播放时，出现了问题，导致游戏的正常流程被卡主了。

【】下一步策略

1）从现象的对比和日志分析、结合游戏启动的流程来看，目前从fw层是未发现明显的异常，后续需要audio相关的同事针对上面提到的日志信息进行一下

分析和

确认，看是否能够排除掉audio引起的游戏内部视屏播放的问题。

@多媒体组的同事 继续跟进调查下该问题。

#4 - 2023-04-18 17:23 - CD FW王武军

- Category changed from CD-FW to AUDIO-FW

- Assignee changed from CD FW王武军 to Multimedia组-RD3_TSCD 梁卿山

@卿山  根据上面的分析的情况，下面需要你这边进行下分析。

#5 - 2023-04-24 19:18 - Multimedia组-RD3_TSCD 梁卿山

- Status changed from ASSIGNED to NEED_INFO

- Assignee changed from Multimedia组-RD3_TSCD 梁卿山 to CD TEST-方永红

- Resolution changed from -- to INVALID

Hi ALL

从上面的日志来看，该游戏启动时，播放视频，但是由于未连接中控且并未关闭焦点控制，导致视频播放失败，应用退出；

当前连接中控进行测试，游戏打开正常。

#6 - 2023-04-25 14:58 - CD TEST-方永红

- Status changed from NEED_INFO to RESOLVED

4.25

确认在连接中控的情况下，该问题不复现

#7 - 2023-04-25 15:00 - CD TEST-方永红
- Status changed from RESOLVED to VERIFIED

#8 - 2023-04-25 15:02 - CD TEST-方永红

- Status changed from VERIFIED to CLOSED

Files

Phone-1A2212290000001651 2023-04-03 16-59-16.mp4 13.8 MB 2023-04-03 CD TEST-方永红

1659.txt 5.6 MB 2023-04-03 CD TEST-方永红
